Bug 868193 - Can't jenkins build for zend app
Can't jenkins build for zend app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 05:03 EDT by Rony Gong
Modified: 2015-05-14 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: jenkins-plugin-openshift 0.6.7 & >= ami-42e35b2b
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jenkins detail log (1.61 KB, text/plain)
2012-10-19 05:03 EDT, Rony Gong
no flags Details

  None (edit)
Description Rony Gong 2012-10-19 05:03:59 EDT
Created attachment 629883 [details]
jenkins detail log

Description of problem:
faild for jenkins build for zend app, show 
mkdir "/var/lib/openshift/036088b690b64ad1a43f49428fcc2d2c/php-5.3/phplib" failed: No such file or directory (2)

Version-Release number of selected component (if applicable):
devenv_2348

How reproducible:
always

Steps to Reproduce:
1.Create zend app
2.Add jenkins client and  build this zend app
3.
  
Actual results:
qgong@localhost q2zend]$ gitpush
[master a7d3d20] update
 Committer: qgong <qgong@localhost.localdomain>
Your name and email address were configured automatically based
on your username and hostname. Please check that they are accurate.
You can suppress this message by setting them explicitly:

    git config --global user.name "Your Name"
    git config --global user.email you@example.com

If the identity used for this commit is wrong, you can fix it with:

    git commit --amend --author='Your Name <you@example.com>'

 1 files changed, 1 insertions(+), 1 deletions(-)
Counting objects: 7, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 368 bytes, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: restart_on_add=false
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-qgong12.dev.rhcloud.com/job/q2zend-build
remote: 
remote: Waiting for build to schedule..................................................Done
remote: Waiting for job to complete..................................................Done
remote: FAILED
remote: !!!!!!!!
remote: Deployment Halted!
remote: If the build failed before the deploy step, your previous
remote: build is still running.  Otherwise, your application may be
remote: partially deployed or inaccessible.
remote: Fix the build and try again.
remote: !!!!!!!!
To ssh://6cc0033fefe54bfa820293cb0a8d2cef@q2zend-qgong12.dev.rhcloud.com/~/git/q2zend.git/
   22ab1cb..a7d3d20  master -> master


Expected results:


Additional info:
Comment 1 Bill DeCoste 2012-10-19 14:23:15 EDT
Please attach the jenkins.log file
Comment 2 Rony Gong 2012-10-22 03:02:50 EDT
I have attached jenkins.log file as attachment, please check.
And I test it again in devenv_2360
new error:
[qgong@localhost qzend]$ gitpush
[master c1c18df] update
 1 files changed, 1 insertions(+), 1 deletions(-)
 create mode 100644 bbc
Counting objects: 7, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 390 bytes, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: restart_on_add=false
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-qgong3.dev.rhcloud.com/job/qzend-build
remote: 
remote: Waiting for build to schedule................................................^CKilled by signal 2.

jenkins log:
INFO: Checking capacity
Oct 22, 2012 2:58:02 AM hudson.plugins.openshift.OpenShiftCloud provision
SEVERE: Exception caught trying to provision
java.lang.NullPointerException
	at hudson.plugins.openshift.OpenShiftCloud.hasCapacity(OpenShiftCloud.java:280)
	at hudson.plugins.openshift.OpenShiftCloud.provision(OpenShiftCloud.java:471)
	at hudson.slaves.NodeProvisioner.update(NodeProvisioner.java:227)
	at hudson.slaves.NodeProvisioner.access$000(NodeProvisioner.java:51)
	at hudson.slaves.NodeProvisioner$NodeProvisionerInvoker.doRun(NodeProvisioner.java:310)
	at hudson.triggers.SafeTimerTask.run(SafeTimerTask.java:54)
	at java.util.TimerThread.mainLoop(Timer.java:534)
	at java.util.TimerThread.run(Timer.java:484)
Oct 22, 2012 2:58:02 AM hudson.plugins.openshift.OpenShiftCloud provision
INFO: Provisioning new node for workload = 2 and label = qzend-build
Oct 22, 2012 2:58:02 AM hudson.plugins.openshift.OpenShiftCloud getOpenShiftConnection
INFO: Initiating Java Client Service - Configured for OpenShift Server https://localhost
Oct 22, 2012 2:58:07 AM hudson.plugins.openshift.OpenShiftCloud hasCapacity
INFO: Checking capacity
Oct 22, 2012 2:58:07 AM hudson.plugins.openshift.OpenShiftCloud provision
SEVERE: Exception caught trying to provision
java.lang.NullPointerException
	at hudson.plugins.openshift.OpenShiftCloud.hasCapacity(OpenShiftCloud.java:280)
	at hudson.plugins.openshift.OpenShiftCloud.provision(OpenShiftCloud.java:471)
	at hudson.slaves.NodeProvisioner.update(NodeProvisioner.java:227)
	at hudson.slaves.NodeProvisioner.access$000(NodeProvisioner.java:51)
	at hudson.slaves.NodeProvisioner$NodeProvisionerInvoker.doRun(NodeProvisioner.java:310)
	at hudson.triggers.SafeTimerTask.run(SafeTimerTask.java:54)
	at java.util.TimerThread.mainLoop(Timer.java:534)
	at java.util.TimerThread.run(Timer.java:484)
Oct 22, 2012 2:58:07 AM hudson.plugins.openshift.OpenShiftCloud provision
INFO: Provisioning new node for workload = 2 and label = qzend-build
Oct 22, 2012 2:58:07 AM hudson.plugins.openshift.OpenShiftCloud getOpenShiftConnection
INFO: Initiating Java Client Service - Configured for OpenShift Server https://localhost
Oct 22, 2012 2:58:10 AM hudson.plugins.openshift.OpenShiftCloud hasCapacity
INFO: Checking capacity
Oct 22, 2012 2:58:10 AM hudson.plugins.openshift.OpenShiftCloud provision
SEVERE: Exception caught trying to provision
java.lang.NullPointerException
	at hudson.plugins.openshift.OpenShiftCloud.hasCapacity(OpenShiftCloud.java:280)
	at hudson.plugins.openshift.OpenShiftCloud.provision(OpenShiftCloud.java:471)
	at hudson.slaves.NodeProvisioner.update(NodeProvisioner.java:227)
	at hudson.slaves.NodeProvisioner.access$000(NodeProvisioner.java:51)
	at hudson.slaves.NodeProvisioner$NodeProvisionerInvoker.doRun(NodeProvisioner.java:310)
	at hudson.triggers.SafeTimerTask.run(SafeTimerTask.java:54)
	at java.util.TimerThread.mainLoop(Timer.java:534)
	at java.util.TimerThread.run(Timer.java:484)
Oct 22, 2012 2:58:10 AM hudson.plugins.openshift.OpenShiftCloud provision
Comment 3 Rony Gong 2012-10-24 04:17:27 EDT
After update to the jenkins-plugin-openshift 0.6.7 manually in devenv_2370, we could build all app successfully except build zend app, same error as this bug's description.
detail jenkins log: 
Started by user Jenkins System Builder
Building remotely on q2zendbldr in workspace zend-5.6/ci/jenkins/workspace/q2zend-build
Checkout:q2zend-build / zend-5.6/ci/jenkins/workspace/q2zend-build - hudson.remoting.Channel@1a8f100:q2zendbldr
Using strategy: Default
Checkout:q2zend-build / zend-5.6/ci/jenkins/workspace/q2zend-build - hudson.remoting.LocalChannel@6b285262
Cloning the remote Git repository
Cloning repository origin
Fetching upstream changes from ssh://6cc0033fefe54bfa820293cb0a8d2cef@q2zend-qgong12.dev.rhcloud.com/~/git/q2zend.git/
Seen branch in repository origin/HEAD
Seen branch in repository origin/master
Commencing build of Revision a7d3d202d671d38ad6a877a89a971145da34e190 (origin/HEAD, origin/master)
Checking out Revision a7d3d202d671d38ad6a877a89a971145da34e190 (origin/HEAD, origin/master)
No change to record in branch origin/HEAD
No change to record in branch origin/master
[q2zend-build] $ /bin/sh -xe /tmp/hudson2234842559858105057.sh
+ alias 'rsync=rsync --delete-after -az -e '\''/usr/libexec/openshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh'\'''
+ rsync --delete-after -az -e /usr/libexec/openshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh '6cc0033fefe54bfa820293cb0a8d2cef@q2zend-qgong12.dev.rhcloud.com:~/zend-5.6/phplib/' /var/lib/openshift/036088b690b64ad1a43f49428fcc2d2c/php-5.3/phplib/
rsync: mkdir "/var/lib/openshift/036088b690b64ad1a43f49428fcc2d2c/php-5.3/phplib" failed: No such file or directory (2)
rsync error: error in file IO (code 11) at main.c(576) [receiver=3.0.6]
Build step 'Execute shell' marked build as failure
Archiving artifacts
Finished: FAILURE
Comment 4 Rony Gong 2012-10-25 05:52:24 EDT
Verified on devenv_2378
[qgong@localhost qzend]$ gitpush
[master 2aa5a4a] update
 0 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 a
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@       WARNING: POSSIBLE DNS SPOOFING DETECTED!          @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
The RSA host key for qzend-qgong3.dev.rhcloud.com has changed,
and the key for the corresponding IP address 184.73.34.227
is unchanged. This could either mean that
DNS SPOOFING is happening or the IP address for the host
and its host key have changed at the same time.
Offending key for IP in /home/qgong/.ssh/known_hosts:250
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@    WARNING: REMOTE HOST IDENTIFICATION HAS CHANGED!     @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
IT IS POSSIBLE THAT SOMEONE IS DOING SOMETHING NASTY!
Someone could be eavesdropping on you right now (man-in-the-middle attack)!
It is also possible that the RSA host key has just been changed.
The fingerprint for the RSA key sent by the remote host is
26:95:f3:14:79:08:14:61:13:15:34:13:5b:d4:97:a0.
Please contact your system administrator.
Add correct host key in /home/qgong/.ssh/known_hosts to get rid of this message.
Offending key in /home/qgong/.ssh/known_hosts:205
Password authentication is disabled to avoid man-in-the-middle attacks.
Keyboard-interactive authentication is disabled to avoid man-in-the-middle attacks.
Counting objects: 3, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 240 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: restart_on_add=false
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://qjenkins-qgong3.dev.rhcloud.com/job/qzend-build
remote: 
remote: Waiting for build to schedule.................................Done
remote: Waiting for job to complete.................................Done
remote: SUCCESS
remote: New build has been deployed.
To ssh://79cf375ce6d546ed82a12713f88f5e2c@qzend-qgong3.dev.rhcloud.com/~/git/qzend.git/
   c5f9e7a..2aa5a4a  master -> master

Note You need to log in before you can comment on or make changes to this bug.